package com.prolog.cs.biz.outbound.dao;

import com.prolog.cs.biz.outbound.model.OmsPackingData;
import com.prolog.cs.biz.outbound.model.OutcomingRecordD;
import com.prolog.cs.biz.outbound.model.OutcomingRecordH;
import com.prolog.cs.biz.outbound.model.dto.RePrintWholeDto;
import com.prolog.cs.biz.outbound.model.dto.PrintAgDateDto;
import com.prolog.cs.biz.outbound.model.dto.PrintAgainVo;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OutcomingRecordHMapper extends BaseMapper<OutcomingRecordH> {

    List<OutcomingRecordH> getH(@Param("omsBillId") String omsBillId);

    List<OutcomingRecordD> getD(@Param("omsBillId") String omsBillId);

    List<OmsPackingData> getOmsPackingData(@Param("billGroupId") String billGroupId);

    List<String> findNoBackOmsBill();

    List<String> finishPickTaskAll(@Param("srcCode") String srcCodes,@Param("point") String point);

    List<PrintAgDateDto> getAccompanyingListData(@Param("omsBillId") List<String> omsBillId);

    List<RePrintWholeDto> queryPrintList(@Param("params") PrintAgainVo params);

    void updatePrintCount(@Param("omsBillId")String billid);

}
